#!/bin/sh
#*******************************************************************************
#
# File    : setupRTD
#
# Purpose : Recital 9.4 Terminal Developer setup Script for Unix
#
# Author  : Recital Corporation
#
# Copyright (C) 1986 - 2007 Recital Corporation
#
# All rights reserved worldwide.
#
#*******************************************************************************
#
#  $1 = install directory
#  $2 = disable display
#  $3 = create links in /usr/bin
#  $4 = install desktop icon for all users
#  $5 = path to install menu items
#
##############################################################
# setup envrionment
##############################################################
product=RTD
homedir=`pwd`
cd ${1}
silent=$2
. setup/reclib.sh
 setversion
 setprofile
##############################################################
# Confirm installtion
##############################################################
if [ "${silent}" = "1" ]; then
  reply="y"
else
  reply="y"
  $echonl_b "Install Recital ${version} Terminal Developer (y/n) [${reply}] : $echonl_a"
  read reply
  if [ "$reply" = "" ]
  then
    reply="y"
  fi
fi
if [ "$reply" = "n" -o "$reply" = "N" ]
then
  exit 0
fi
#
##############################################################
# Setup Recital global environment file
##############################################################
globalenv $1 ${product}
#
##############################################################
# extract the files
##############################################################
extractfile $1 ${product}
#
##############################################################
# Setup links and directories
##############################################################
chmod +r terminaldeveloper
if [ ! -d ${ROI_ROOT}td ]
then
  ln -s ${ROI_ROOT}terminaldeveloper ${ROI_ROOT}td
fi
if [ ! -d ${ROI_ROOT}sdk ]
then
  mkdir  ${ROI_ROOT}sdk 
  chmod +r ${ROI_ROOT}sdk 
fi
if [ ! -d ${ROI_ROOT}licenses ]
then
  mkdir  ${ROI_ROOT}licenses 
  chmod +r ${ROI_ROOT}licenses 
fi
if [ ! -d ${ROI_ROOT}licenses/rus ]
then
  mkdir  ${ROI_ROOT}licenses/rus
  chmod +r ${ROI_ROOT}licenses/rus
fi
if [ ! -d ${ROI_ROOT}licenses/rtd ]
then
  mkdir  ${ROI_ROOT}licenses/rtd
  chmod +r ${ROI_ROOT}licenses/rtd
fi
cd ${1}
cd ../
if [ -d ./recital ]; then
  rm -f ./recital
fi
if [ ! -d ./recital ]; then
  ln -s ${1} ./recital
fi
cd ${1}
if [ -f ${product}${platform}.tar ]
then
  rm ${product}${platform}.tar
fi
cd terminaldeveloper
./dbinstall $3 $2
cd ../
#
##############################################################
# Add a desktop and menu shortcuts
##############################################################
addshortcut $1 $4
addmenu $1 $5
#
##############################################################
# Add component to rpm database
##############################################################
if [ "${linux}" = "1" ]; then
  addrpm ${product}
fi
#
##############################################################
# Remove files used for the installation
##############################################################
removeinstallfiles ${1} ${product}-${fullver}
#
##############################################################
# Restore envrionment
##############################################################
cd ${homedir}
